## icingadb 1.0.0

=== debian/changelog ===
icingadb (1.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Jul 2022 20:53:45 +0200

icingadb (1.0.0-1~exp1) experimental; urgency=medium

  * Initial Release. (Closes: #969155).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2022 17:54:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DH_GOLANG_BUILDPKG=github.com/icinga/icingadb/cmd/icingadb

export GO111MODULE=on

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES := $(wildcard debian/man/*.*.xml)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_clean:
	dh_clean debian/man/*.8

override_dh_auto_configure:
	dh_auto_configure

	(mkdir -p _build/pkg && cd _build/pkg && ln -s ../../dependencies/pkg/* .)

override_dh_auto_build:
	# Create man page from DocBook XML
	for x in $(MANPAGES) ; do \
	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-source

	mv debian/icingadb/usr/bin debian/icingadb/usr/sbin

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_compress:
	dh_compress -X.md

## icingadb 1.0.0+6.ga93da02.20220826.1904+buster

=== debian/changelog ===
icingadb (1.0.0+6.ga93da02.20220826.1904+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+6.ga93da02 based on GIT commit
    a93da02eba179305340d2fbde970a25bd3d12480 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 26 Aug 2022 19:04:30 +0000

icingadb (1.0.0~rc2-1) icinga; urgency=medium

  * Release 1.0.0-rc2

 -- Henrik Triem <henrik.triem@icinga.com>  Tue, 21 Apr 2020 17:26:10 +0100

icingadb (1.0.0~rc1-2) icinga; urgency=medium

  * Fix icingadb user not owning home directory

 -- Noah Hilverling <noah.hilverling@icinga.com>  Tue, 21 Apr 2020 17:26:10 +0100

icingadb (1.0.0~rc1-1) icinga; urgency=medium

  * Release 1.0.0-rc1

 -- Noah Hilverling <noah.hilverling@icinga.com>  Fri, 13 Mar 2020 11:05:10 +0100

icingadb (0.0.0-0) UNRELEASED; urgency=medium

  * Initial release.

 -- Markus Frosch <markus.frosch@icinga.com>  Mon, 24 Sep 2018 17:06:45 +0200

## icingadb 1.0.0+6.ga93da02.20220902.1903+buster

=== debian/changelog ===
icingadb (1.0.0+6.ga93da02.20220902.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+6.ga93da02 based on GIT commit
    a93da02eba179305340d2fbde970a25bd3d12480 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 02 Sep 2022 19:03:26 +0000

## icingadb 1.0.0+6.ga93da02.20220909.1903+buster

=== debian/changelog ===
icingadb (1.0.0+6.ga93da02.20220909.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+6.ga93da02 based on GIT commit
    a93da02eba179305340d2fbde970a25bd3d12480 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 09 Sep 2022 19:03:45 +0000

## icingadb 1.0.0+6.ga93da02.20220916.1903+buster

=== debian/changelog ===
icingadb (1.0.0+6.ga93da02.20220916.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+6.ga93da02 based on GIT commit
    a93da02eba179305340d2fbde970a25bd3d12480 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 16 Sep 2022 19:03:58 +0000

## icingadb 1.0.0+6.ga93da02.20220923.1903+buster

=== debian/changelog ===
icingadb (1.0.0+6.ga93da02.20220923.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+6.ga93da02 based on GIT commit
    a93da02eba179305340d2fbde970a25bd3d12480 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 23 Sep 2022 19:03:50 +0000

## icingadb 1.0.0+6.ga93da02.20220930.1903+buster

=== debian/changelog ===
icingadb (1.0.0+6.ga93da02.20220930.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+6.ga93da02 based on GIT commit
    a93da02eba179305340d2fbde970a25bd3d12480 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 30 Sep 2022 19:03:35 +0000

## icingadb 1.0.0+9.ge62a620.20221021.1903+buster

=== debian/changelog ===
icingadb (1.0.0+9.ge62a620.20221021.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+9.ge62a620 based on GIT commit
    e62a6204da1c2687e03f45be0877ca659e3f24a9 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 21 Oct 2022 19:03:47 +0000

## icingadb 1.0.0+9.ge62a620.20221028.1904+buster

=== debian/changelog ===
icingadb (1.0.0+9.ge62a620.20221028.1904+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+9.ge62a620 based on GIT commit
    e62a6204da1c2687e03f45be0877ca659e3f24a9 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 28 Oct 2022 19:04:07 +0000

## icingadb 1.0.0+121.ga8f18a8.20221104.2314+buster

=== debian/changelog ===
icingadb (1.0.0+121.ga8f18a8.20221104.2314+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0+121.ga8f18a8 based on GIT commit
    a8f18a871be9c293cba42b2c68f8364732114205 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 04 Nov 2022 23:14:09 +0000

## icingadb 1.0.0.20220805.1903+buster

=== debian/changelog ===
icingadb (1.0.0.20220805.1903+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.0.0 based on GIT commit
    0061888c404f87158d449d9b3ced82fca269a13b WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 05 Aug 2022 19:03:47 +0000

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

INSTALL_DIR := install -d -m 0755
INSTALL_FILE := install -m 0644

%:
	dh $@ --with systemd

override_dh_auto_build:
	go build -buildvcs=false -trimpath ./cmd/icingadb

override_dh_auto_test:
	# Disable tests until they can work in build environment
	true

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_systemd_start:
	dh_systemd_start --no-start

# vi: noexpandtab ts=4 sw=4 :

## icingadb 1.1.0

=== creasty/defaults@v1.6.0/Makefile ===
SHELL := /bin/bash -eu -o pipefail

GO_TEST_FLAGS  := -v

PACKAGE_DIRS := $(shell go list ./... 2> /dev/null | grep -v /vendor/)
SRC_FILES    := $(shell find . -name '*.go' -not -path './vendor/*')


#  Tasks
#-----------------------------------------------
.PHONY: lint
lint:
	@gofmt -e -d -s $(SRC_FILES) | awk '{ e = 1; print $0 } END { if (e) exit(1) }'
	@echo $(SRC_FILES) | xargs -n1 golint -set_exit_status
	@go vet $(PACKAGE_DIRS)

.PHONY: test
test: lint
	@go test $(GO_TEST_FLAGS) $(PACKAGE_DIRS)

.PHONY: ci-test
ci-test: lint
	@echo > coverage.txt
	@for d in $(PACKAGE_DIRS); do \
		go test -coverprofile=profile.out -covermode=atomic -race -v $$d; \
		if [ -f profile.out ]; then \
			cat profile.out >> coverage.txt; \
			rm profile.out; \
		fi; \
	done

=== debian/changelog ===
icingadb (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update create-components.sh for icingadb-migrate dependencies.
  * Update lintian overrides.
  * Update copyright file.
  * Also build icingadb-migrate.
  * Add manpage for icingadb-migrate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Nov 2022 16:55:10 +0100

=== debian/control ===
Source: icingadb
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-golang,
               golang-any,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/nagios-team/icingadb
Vcs-Git: https://salsa.debian.org/nagios-team/icingadb.git
Homepage: https://icinga.com
XS-Go-Import-Path: github.com/icinga/icingadb

Package: icingadb
Architecture: any
Depends: adduser,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: redis-server,
          postgresql | default-mysql-server
Built-Using: ${misc:Built-Using}
Description: database connector for Icinga 2
 Icinga DB is a set of components for publishing, synchronizing and
 visualizing monitoring data in the Icinga ecosystem, consisting of:
 .
  * The Icinga DB daemon, which synchronizes monitoring data between a
    Redis server and a database.
  * Icinga 2 with its Icinga DB feature enabled, responsible for
    publishing the data to the Redis server, i.e. configuration and its
    runtime updates, check results, state changes, downtimes,
    acknowledgements, notifications, and other events such as flapping.
  * And Icinga Web with the Icinga DB Web module enabled, which connects
    to both Redis and the database to display and work with the most
    up-to-date data.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DH_GOLANG_BUILDPKG=github.com/icinga/icingadb/cmd/icingadb \
                          github.com/icinga/icingadb/cmd/icingadb-migrate

export GO111MODULE=on

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES := $(wildcard debian/man/*.*.xml)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_clean:
	dh_clean debian/man/*.8

override_dh_auto_configure:
	dh_auto_configure

	(mkdir -p _build/pkg && cd _build/pkg && ln -s ../../dependencies/pkg/* .)

override_dh_auto_build:
	# Create man page from DocBook XML
	for x in $(MANPAGES) ; do \
	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-source

	mv debian/icingadb/usr/bin debian/icingadb/usr/sbin

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_compress:
	dh_compress -X.md

## icingadb 1.1.0+2.gde78af3.20221118.2006+buster

=== debian/changelog ===
icingadb (1.1.0+2.gde78af3.20221118.2006+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+2.gde78af3 based on GIT commit
    de78af332f0abe9955d7b858e0f5da8c5858884d WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 18 Nov 2022 20:06:45 +0000

## icingadb 1.1.0+4.g4ed4db3

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3-1676671410+debian10) icinga; urgency=medium

  * Release 1.1.0+4.g4ed4db3-1676671410

 -- Icinga GmbH <info@icinga.com>  Fri, 17 Feb 2023 22:04:10 +0000

## icingadb 1.1.0+4.g4ed4db3.20221125.2005+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20221125.2005+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 25 Nov 2022 20:05:43 +0000

=== debian/control ===
Source: icingadb
Section: admin
Priority: extra
Maintainer: Icinga Development Team <info@icinga.com>
Build-Depends:
  gcc,
  debhelper (>= 9),
  dh-exec,
  dh-systemd (>= 1.5) | debhelper (>= 9.20160709),
Standards-Version: 3.9.8
Homepage: https://www.icinga.com
#Vcs-Browser:
#Vcs-Git:

Package: icingadb
Architecture: any
Depends:
  adduser,
  ${shlibs:Depends},
  ${misc:Depends}
Built-Using: ${misc:Built-Using}
Suggests: icinga2
Description: database connector for Icinga 2

=== debian/watch ===
version=3
# filenamemangle -> prepending icingadb if only tag name
# versionmangle  -> convert version addition to ~ version
opts=filenamemangle=s/.+\/(?:icingadb-|v)([\d.]+(?:-.+)?).tar.gz/icingadb-$1.tar.gz/,versionmangle=s/^([\d.]+)-(.+)?/$1~$2/ \
https://github.com/Icinga/icingadb/releases .*/(?:icingadb-|v)([\d.]+(?:-.+)?).tar.gz

## icingadb 1.1.0+4.g4ed4db3.20221202.2005+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20221202.2005+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 02 Dec 2022 20:05:15 +0000

## icingadb 1.1.0+4.g4ed4db3.20221209.2005+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20221209.2005+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 09 Dec 2022 20:05:12 +0000

## icingadb 1.1.0+4.g4ed4db3.20221216.2004+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20221216.2004+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 16 Dec 2022 20:04:55 +0000

## icingadb 1.1.0+4.g4ed4db3.20221223.2004+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20221223.2004+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 23 Dec 2022 20:04:47 +0000

## icingadb 1.1.0+4.g4ed4db3.20221230.2004+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20221230.2004+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 30 Dec 2022 20:04:49 +0000

## icingadb 1.1.0+4.g4ed4db3.20230106.2004+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20230106.2004+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 06 Jan 2023 20:04:26 +0000

## icingadb 1.1.0+4.g4ed4db3.20230113.2005+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20230113.2005+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 13 Jan 2023 20:05:03 +0000

## icingadb 1.1.0+4.g4ed4db3.20230120.2006+buster

=== debian/changelog ===
icingadb (1.1.0+4.g4ed4db3.20230120.2006+buster-0) icinga-buster-snapshots; urgency=medium

  * Snapshot build for version 1.1.0+4.g4ed4db3 based on GIT commit
    4ed4db3ab642622bb917797a8207589ce5f89f07 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga.com <info@icinga.com>  Fri, 20 Jan 2023 20:06:23 +0000

## icingadb 1.1.0+6.gefec262

=== debian/changelog ===
icingadb (1.1.0+6.gefec262-1684533806+debian10) icinga; urgency=medium

  * Release 1.1.0+6.gefec262-1684533806

 -- Icinga GmbH <info@icinga.com>  Fri, 19 May 2023 22:03:49 +0000

## icingadb 1.1.0+26.g022f6d6

=== debian/changelog ===
icingadb (1.1.0+26.g022f6d6-1685138609+debian10) icinga; urgency=medium

  * Release 1.1.0+26.g022f6d6-1685138609

 -- Icinga GmbH <info@icinga.com>  Fri, 26 May 2023 22:03:48 +0000

## icingadb 1.1.0+29.g50d18e6

=== debian/changelog ===
icingadb (1.1.0+29.g50d18e6-1685743404+debian10) icinga; urgency=medium

  * Release 1.1.0+29.g50d18e6-1685743404

 -- Icinga GmbH <info@icinga.com>  Fri, 02 Jun 2023 22:04:05 +0000

## icingadb 1.1.0+35.g78fa223

=== debian/changelog ===
icingadb (1.1.0+35.g78fa223-1687557809+debian10) icinga; urgency=medium

  * Release 1.1.0+35.g78fa223-1687557809

 -- Icinga GmbH <info@icinga.com>  Fri, 23 Jun 2023 22:05:01 +0000

## icingadb 1.1.0+37.ga57f0cb

=== debian/changelog ===
icingadb (1.1.0+37.ga57f0cb-1689977003+debian10) icinga; urgency=medium

  * Release 1.1.0+37.ga57f0cb-1689977003

 -- Icinga GmbH <info@icinga.com>  Fri, 21 Jul 2023 22:04:52 +0000

## icingadb 1.1.0+62.gb05128e

=== debian/changelog ===
icingadb (1.1.0+62.gb05128e-1690581837+debian10) icinga; urgency=medium

  * Release 1.1.0+62.gb05128e-1690581837

 -- Icinga GmbH <info@icinga.com>  Fri, 28 Jul 2023 22:05:25 +0000

## icingadb 1.1.0+74.g7c7ba9f

=== debian/changelog ===
icingadb (1.1.0+74.g7c7ba9f-1691147362+debian10) icinga; urgency=medium

  * Release 1.1.0+74.g7c7ba9f-1691147362

 -- Icinga GmbH <info@icinga.com>  Fri, 04 Aug 2023 11:11:05 +0000

## icingadb 1.1.0+79.gcc0d1dd

=== debian/changelog ===
icingadb (1.1.0+79.gcc0d1dd-1691186616+ubuntu22.04) icinga; urgency=medium

  * Release 1.1.0+79.gcc0d1dd-1691186616

 -- Icinga GmbH <info@icinga.com>  Fri, 04 Aug 2023 22:05:18 +0000

## icingadb 1.1.0+86.g3f768dd

=== debian/changelog ===
icingadb (1.1.0+86.g3f768dd-1691483080+debian12) icinga; urgency=medium

  * Release 1.1.0+86.g3f768dd-1691483080

 -- Icinga GmbH <info@icinga.com>  Tue, 08 Aug 2023 08:26:57 +0000

## icingadb 1.1.0+97.gc20f066

=== debian/changelog ===
icingadb (1.1.0+97.gc20f066-1691505618+debian10) icinga; urgency=medium

  * Release 1.1.0+97.gc20f066-1691505618

 -- Icinga GmbH <info@icinga.com>  Tue, 08 Aug 2023 14:41:52 +0000

## icingadb 1.1.1

=== debian/changelog ===
icingadb (1.1.1-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 11:33:40 +1000

icingadb (1.1.1-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:03:54 +0530

icingadb (1.1.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use dh-sequence-golang.
  * Update lintian overrides.

  [ Helmut Grohne ]
  * Install systemd unit only once.
    (closes: #1054186)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Nov 2023 09:53:35 +0100

icingadb (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Update lintian overrides.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Aug 2023 15:11:20 +0200

=== debian/control ===
Source: icingadb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               dh-sequence-golang,
               golang-any,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/nagios-team/icingadb
Vcs-Git: https://salsa.debian.org/nagios-team/icingadb.git
Homepage: https://icinga.com
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/icinga/icingadb

Package: icingadb
Architecture: any
Depends: adduser,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: redis-server,
          postgresql | default-mysql-server
Built-Using: ${misc:Built-Using}
Description: database connector for Icinga 2
 Icinga DB is a set of components for publishing, synchronizing and
 visualizing monitoring data in the Icinga ecosystem, consisting of:
 .
  * The Icinga DB daemon, which synchronizes monitoring data between a
    Redis server and a database.
  * Icinga 2 with its Icinga DB feature enabled, responsible for
    publishing the data to the Redis server, i.e. configuration and its
    runtime updates, check results, state changes, downtimes,
    acknowledgements, notifications, and other events such as flapping.
  * And Icinga Web with the Icinga DB Web module enabled, which connects
    to both Redis and the database to display and work with the most
    up-to-date data.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 override_dh_clean:
 	dh_clean debian/man/*.8

## icingadb 1.1.1+3.gc20f066

=== debian/changelog ===
icingadb (1.1.1+3.gc20f066-1692396198+debian10) icinga; urgency=medium

  * Release 1.1.1+3.gc20f066-1692396198

 -- Icinga GmbH <info@icinga.com>  Fri, 18 Aug 2023 22:04:25 +0000

=== debian/control ===
Source: icingadb
Section: admin
Priority: optional
Maintainer: Icinga GmbH <info@icinga.com>
Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  gcc
Standards-Version: 4.6.1
Homepage: https://www.icinga.com

Package: icingadb
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Suggests: icinga2
Description: Icinga configuration and state database supporting multiple environments
 Icinga DB is a set of components for publishing, synchronizing and
 visualizing monitoring data in the Icinga ecosystem.
 This is the Icinga DB daemon, which synchronizes monitoring data
 between a Redis server and a database.

## icingadb 1.1.1+7.g85bde9e

=== debian/changelog ===
icingadb (1.1.1+7.g85bde9e-1700258609+debian10) icinga; urgency=medium

  * Release 1.1.1+7.g85bde9e-1700258609

 -- Icinga GmbH <info@icinga.com>  Fri, 17 Nov 2023 22:04:57 +0000

## icingadb 1.1.1+13.g0e9810c

=== debian/changelog ===
icingadb (1.1.1+13.g0e9810c-1709935406+ubuntu23.10) icinga; urgency=medium

  * Release 1.1.1+13.g0e9810c-1709935406

 -- Icinga GmbH <info@icinga.com>  Fri, 08 Mar 2024 22:04:41 +0000

## icingadb 1.1.1+33.g41ff8de

=== debian/changelog ===
icingadb (1.1.1+33.g41ff8de-1710541041+ubuntu23.10) icinga; urgency=medium

  * Release 1.1.1+33.g41ff8de-1710541041

 -- Icinga GmbH <info@icinga.com>  Fri, 15 Mar 2024 22:22:15 +0000

## icingadb 1.1.1+61.g112f6d7

=== debian/changelog ===
icingadb (1.1.1+61.g112f6d7-1711145028+ubuntu23.10) icinga; urgency=medium

  * Release 1.1.1+61.g112f6d7-1711145028

 -- Icinga GmbH <info@icinga.com>  Fri, 22 Mar 2024 22:05:12 +0000

## icingadb 1.1.1+84.g51e5434

=== debian/changelog ===
icingadb (1.1.1+84.g51e5434-1711749809+ubuntu23.10) icinga; urgency=medium

  * Release 1.1.1+84.g51e5434-1711749809

 -- Icinga GmbH <info@icinga.com>  Fri, 29 Mar 2024 22:04:53 +0000

## icingadb 1.1.1+103.gd9dc16d

=== debian/changelog ===
icingadb (1.1.1+103.gd9dc16d-1712354609+ubuntu23.10) icinga; urgency=medium

  * Release 1.1.1+103.gd9dc16d-1712354609

 -- Icinga GmbH <info@icinga.com>  Fri, 05 Apr 2024 22:04:45 +0000

## icingadb 1.2.0

=== debian/changelog ===
icingadb (1.2.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 15:32:02 +1000

icingadb (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Apr 2024 07:02:07 +0200

## icingadb 1.2.0+0.ga0a65af

=== debian/changelog ===
icingadb (1.2.0+0.ga0a65af-1712959437+debian10) icinga; urgency=medium

  * Release 1.2.0+0.ga0a65af-1712959437

 -- Icinga GmbH <info@icinga.com>  Fri, 12 Apr 2024 22:05:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: icingadb
+Maintainer: Icinga GmbH <info@icinga.com>
 Section: admin
 Priority: optional
-Maintainer: Icinga GmbH <info@icinga.com>
 Build-Depends:
   debhelper-compat (= 13),
   dh-exec,
@@ -19,4 +19,4 @@
  Icinga DB is a set of components for publishing, synchronizing and
  visualizing monitoring data in the Icinga ecosystem.
  This is the Icinga DB daemon, which synchronizes monitoring data
- between a Redis server and a database.
+ between a Redis® server and a database.

## icingadb 1.2.0+4.g1d6c63b

=== debian/changelog ===
icingadb (1.2.0+4.g1d6c63b-1716588206+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+4.g1d6c63b-1716588206

 -- Icinga GmbH <info@icinga.com>  Fri, 24 May 2024 22:04:48 +0000

## icingadb 1.2.0+47.g35c6b3f

=== debian/changelog ===
icingadb (1.2.0+47.g35c6b3f-1717193039+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+47.g35c6b3f-1717193039

 -- Icinga GmbH <info@icinga.com>  Fri, 31 May 2024 22:05:43 +0000

## icingadb 1.2.0+49.g6102d9c

=== debian/changelog ===
icingadb (1.2.0+49.g6102d9c-1721426617+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+49.g6102d9c-1721426617

 -- Icinga GmbH <info@icinga.com>  Fri, 19 Jul 2024 22:05:52 +0000

## icingadb 1.2.0+51.gb2203b9

=== debian/changelog ===
icingadb (1.2.0+51.gb2203b9-1722031406+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+51.gb2203b9-1722031406

 -- Icinga GmbH <info@icinga.com>  Fri, 26 Jul 2024 22:04:30 +0000

## icingadb 1.2.0+70.g9cde14e

=== debian/changelog ===
icingadb (1.2.0+70.g9cde14e-1722636204+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+70.g9cde14e-1722636204

 -- Icinga GmbH <info@icinga.com>  Fri, 02 Aug 2024 22:04:34 +0000

## icingadb 1.2.0+76.g277a61d

=== debian/changelog ===
icingadb (1.2.0+76.g277a61d-1723241007+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+76.g277a61d-1723241007

 -- Icinga GmbH <info@icinga.com>  Fri, 09 Aug 2024 22:04:33 +0000

## icingadb 1.2.0+77.g77ccab2

=== debian/changelog ===
icingadb (1.2.0+77.g77ccab2-1725055412+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+77.g77ccab2-1725055412

 -- Icinga GmbH <info@icinga.com>  Fri, 30 Aug 2024 22:04:50 +0000

## icingadb 1.2.0+79.g806a2ff

=== debian/changelog ===
icingadb (1.2.0+79.g806a2ff-1725660232+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+79.g806a2ff-1725660232

 -- Icinga GmbH <info@icinga.com>  Fri, 06 Sep 2024 22:06:27 +0000

## icingadb 1.2.0+94.g04a6b51

=== debian/changelog ===
icingadb (1.2.0+94.g04a6b51-1726265014+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+94.g04a6b51-1726265014

 -- Icinga GmbH <info@icinga.com>  Fri, 13 Sep 2024 22:07:55 +0000

## icingadb 1.2.0+108.g5e81041

=== debian/changelog ===
icingadb (1.2.0+108.g5e81041-1726869809+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+108.g5e81041-1726869809

 -- Icinga GmbH <info@icinga.com>  Fri, 20 Sep 2024 22:04:42 +0000

## icingadb 1.2.0+110.ge8ed78e

=== debian/changelog ===
icingadb (1.2.0+110.ge8ed78e-1728079412+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+110.ge8ed78e-1728079412

 -- Icinga GmbH <info@icinga.com>  Fri, 04 Oct 2024 22:04:45 +0000

## icingadb 1.2.0+121.gdf079b1

=== debian/changelog ===
icingadb (1.2.0+121.gdf079b1-1728684210+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+121.gdf079b1-1728684210

 -- Icinga GmbH <info@icinga.com>  Fri, 11 Oct 2024 22:04:41 +0000

## icingadb 1.2.0+131.g3484476

=== debian/changelog ===
icingadb (1.2.0+131.g3484476-1729289009+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+131.g3484476-1729289009

 -- Icinga GmbH <info@icinga.com>  Fri, 18 Oct 2024 22:05:28 +0000

## icingadb 1.2.0+142.g1d04ffe

=== debian/changelog ===
icingadb (1.2.0+142.g1d04ffe-1731103448+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+142.g1d04ffe-1731103448

 -- Icinga GmbH <info@icinga.com>  Fri, 08 Nov 2024 22:06:25 +0000

## icingadb 1.2.0+146.g6c0611f

=== debian/changelog ===
icingadb (1.2.0+146.g6c0611f-1732313003+ubuntu23.10) icinga; urgency=medium

  * Release 1.2.0+146.g6c0611f-1732313003

 -- Icinga GmbH <info@icinga.com>  Fri, 22 Nov 2024 22:04:47 +0000

## icingadb 1.2.0+150.gcec7d40

=== debian/changelog ===
icingadb (1.2.0+150.gcec7d40-1732917805+debian11) icinga; urgency=medium

  * Release 1.2.0+150.gcec7d40-1732917805

 -- Icinga GmbH <info@icinga.com>  Fri, 29 Nov 2024 22:04:54 +0000

## icingadb 1.2.1

=== debian/changelog ===
icingadb (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Dec 2024 14:54:52 +0100

=== debian/control ===
Source: icingadb
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               dh-sequence-golang,
               golang-any,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/nagios-team/icingadb
Vcs-Git: https://salsa.debian.org/nagios-team/icingadb.git
Homepage: https://icinga.com
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/icinga/icingadb

Package: icingadb
Architecture: any
Depends: adduser,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: redis-server,
          postgresql | default-mysql-server
Built-Using: ${misc:Built-Using}
Description: database connector for Icinga 2
 Icinga DB is a set of components for publishing, synchronizing and
 visualizing monitoring data in the Icinga ecosystem, consisting of:
 .
  * The Icinga DB daemon, which synchronizes monitoring data between a
    Redis server and a database.
  * Icinga 2 with its Icinga DB feature enabled, responsible for
    publishing the data to the Redis server, i.e. configuration and its
    runtime updates, check results, state changes, downtimes,
    acknowledgements, notifications, and other events such as flapping.
  * And Icinga Web with the Icinga DB Web module enabled, which connects
    to both Redis and the database to display and work with the most
    up-to-date data.

## icingadb 1.2.1+2.g849e59d

=== debian/changelog ===
icingadb (1.2.1+2.g849e59d-1737151412+debian11) icinga; urgency=medium

  * Release 1.2.1+2.g849e59d-1737151412

 -- Icinga GmbH <info@icinga.com>  Fri, 17 Jan 2025 22:03:55 +0000

## icingadb 1.2.1+8.ga77498d

=== debian/changelog ===
icingadb (1.2.1+8.ga77498d-1740780210+debian11) icinga; urgency=medium

  * Release 1.2.1+8.ga77498d-1740780210

 -- Icinga GmbH <info@icinga.com>  Fri, 28 Feb 2025 22:03:48 +0000

## icingadb 1.2.1+16.ge72762a

=== debian/changelog ===
icingadb (1.2.1+16.ge72762a-1741385010+ubuntu24.10) icinga; urgency=medium

  * Release 1.2.1+16.ge72762a-1741385010

 -- Icinga GmbH <info@icinga.com>  Fri, 07 Mar 2025 22:04:08 +0000

## icingadb 1.2.1+26.g38866bd

=== debian/changelog ===
icingadb (1.2.1+26.g38866bd-1742594607+debian12) icinga; urgency=medium

  * Release 1.2.1+26.g38866bd-1742594607

 -- Icinga GmbH <info@icinga.com>  Fri, 21 Mar 2025 22:03:45 +0000

## icingadb 1.2.1+39.geb0b947

=== debian/changelog ===
icingadb (1.2.1+39.geb0b947-1743199409+ubuntu22.04) icinga; urgency=medium

  * Release 1.2.1+39.geb0b947-1743199409

 -- Icinga GmbH <info@icinga.com>  Fri, 28 Mar 2025 22:03:59 +0000

## icingadb 1.3.0

=== debian/changelog ===
icingadb (1.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Apr 2025 14:55:23 +0200

icingadb (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update copyright file.
  * Add Static-Built-Using control field.
  * Use debian/clean file instead of dh_clean override.
  * Use execute_{before,after} instead of override in rules file.
  * Use DH_VERBOSE only in dh_auto_build override for go version & env output.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Apr 2025 13:12:05 +0200

## icingadb 1.3.0+19.ga9badf8

=== debian/changelog ===
icingadb (1.3.0+19.ga9badf8-1743804209+ubuntu24.10) icinga; urgency=medium

  * Release 1.3.0+19.ga9badf8-1743804209

 -- Icinga GmbH <info@icinga.com>  Fri, 04 Apr 2025 22:03:53 +0000

## icingadb 1.3.0+33.gee82ee7

=== debian/changelog ===
icingadb (1.3.0+33.gee82ee7-1746223412+debian11) icinga; urgency=medium

  * Release 1.3.0+33.gee82ee7-1746223412

 -- Icinga GmbH <info@icinga.com>  Fri, 02 May 2025 22:04:04 +0000

## icingadb 1.3.0+49.g3a3ec2c

=== debian/changelog ===
icingadb (1.3.0+49.g3a3ec2c-1747433005+debian12) icinga; urgency=medium

  * Release 1.3.0+49.g3a3ec2c-1747433005

 -- Icinga GmbH <info@icinga.com>  Fri, 16 May 2025 22:04:06 +0000

## icingadb 1.3.0+73.g90e2b55

=== debian/changelog ===
icingadb (1.3.0+73.g90e2b55-1748642606+debian11) icinga; urgency=medium

  * Release 1.3.0+73.g90e2b55-1748642606

 -- Icinga GmbH <info@icinga.com>  Fri, 30 May 2025 22:03:51 +0000

## icingadb 1.3.0+89.g69f12bb

=== debian/changelog ===
icingadb (1.3.0+89.g69f12bb-1749247406+ubuntu22.04) icinga; urgency=medium

  * Release 1.3.0+89.g69f12bb-1749247406

 -- Icinga GmbH <info@icinga.com>  Fri, 06 Jun 2025 22:04:02 +0000

## icingadb 1.3.0+100.g5c01c2c

=== debian/changelog ===
icingadb (1.3.0+100.g5c01c2c-1749852209+debian11) icinga; urgency=medium

  * Release 1.3.0+100.g5c01c2c-1749852209

 -- Icinga GmbH <info@icinga.com>  Fri, 13 Jun 2025 22:04:11 +0000

## icingadb 1.4.0

=== pkg/mod/github.com/creasty/defaults@v1.8.0/Makefile ===
SHELL := /bin/bash -eu -o pipefail

GO_TEST_FLAGS  := -v

PACKAGE_DIRS := $(shell go list ./... 2> /dev/null | grep -v /vendor/)
SRC_FILES    := $(shell find . -name '*.go' -not -path './vendor/*')


#  Tasks
#-----------------------------------------------
.PHONY: lint
lint:
	@gofmt -e -d -s $(SRC_FILES) | awk '{ e = 1; print $0 } END { if (e) exit(1) }'
	@golangci-lint --disable errcheck,unused run

.PHONY: test
test: lint
	@go test $(GO_TEST_FLAGS) $(PACKAGE_DIRS)

.PHONY: ci-test
ci-test: lint
	@echo > coverage.txt
	@for d in $(PACKAGE_DIRS); do \
		go test -coverprofile=profile.out -covermode=atomic -race -v $$d; \
		if [ -f profile.out ]; then \
			cat profile.out >> coverage.txt; \
			rm profile.out; \
		fi; \
	done

=== pkg/mod/github.com/goccy/go-yaml@v1.13.0/Makefile ===
.PHONY: test
test:
	go test -v -race ./...

.PHONY: simple-test
simple-test:
	go test -v ./...

.PHONY: cover
cover:
	go test -coverprofile=cover.out ./...

.PHONY: cover-html
cover-html: cover
	go tool cover -html=cover.out

.PHONY: ycat/build
ycat/build:
	go build -o ycat ./cmd/ycat

.PHONY: lint
lint: golangci-lint ## Run golangci-lint
	@$(GOLANGCI_LINT) run

.PHONY: fmt
fmt: golangci-lint ## Ensure consistent code style
	@go mod tidy
	@go fmt ./...
	@$(GOLANGCI_LINT) run --fix

## Location to install dependencies to
LOCALBIN ?= $(shell pwd)/bin
$(LOCALBIN):
	mkdir -p $(LOCALBIN)

## Tool Binaries
GOLANGCI_LINT ?= $(LOCALBIN)/golangci-lint

## Tool Versions
GOLANGCI_VERSION := 1.61.0

.PHONY: golangci-lint
.PHONY: $(GOLANGCI_LINT)
golangci-lint: $(GOLANGCI_LINT) ## Download golangci-lint locally if necessary.
$(GOLANGCI_LINT): $(LOCALBIN)
	@test -s $(LOCALBIN)/golangci-lint && $(LOCALBIN)/golangci-lint version --format short | grep -q $(GOLANGCI_VERSION) || \
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(LOCALBIN) v$(GOLANGCI_VERSION)

=== pkg/mod/github.com/lib/pq@v1.10.9/certs/Makefile ===
.PHONY: all root-ssl server-ssl client-ssl

# Rebuilds self-signed root/server/client certs/keys in a consistent way
all: root-ssl server-ssl client-ssl
	rm -f .srl

root-ssl:
	openssl req -new -sha256 -nodes -newkey rsa:2048 \
		-config ./certs/root.cnf \
		-keyout /tmp/root.key \
		-out /tmp/root.csr
	openssl x509 -req -days 3653 -sha256 \
		-in /tmp/root.csr  \
		-extfile /etc/ssl/openssl.cnf -extensions v3_ca \
		-signkey /tmp/root.key \
		-out ./certs/root.crt

server-ssl:
	openssl req -new -sha256 -nodes -newkey rsa:2048 \
		-config ./certs/server.cnf \
		-keyout ./certs/server.key \
		-out /tmp/server.csr
	openssl x509 -req -days 3653 -sha256 \
		-extfile ./certs/server.cnf -extensions req_ext \
		-CA ./certs/root.crt -CAkey /tmp/root.key -CAcreateserial \
		-in /tmp/server.csr \
		-out ./certs/server.crt

client-ssl:
	openssl req -new -sha256 -nodes -newkey rsa:2048 \
		-config ./certs/postgresql.cnf \
		-keyout ./certs/postgresql.key \
		-out /tmp/postgresql.csr
	openssl x509 -req -days 3653 -sha256 \
		-CA ./certs/root.crt -CAkey /tmp/root.key -CAcreateserial \
		-in /tmp/postgresql.csr \
		-out ./certs/postgresql.crt

=== pkg/mod/github.com/redis/go-redis/v9@v9.10.0/Makefile ===
GO_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | sort)

docker.start:
	docker compose --profile all up -d --quiet-pull

docker.stop:
	docker compose --profile all down

test:
	$(MAKE) docker.start
	@if [ -z "$(REDIS_VERSION)" ]; then \
		echo "REDIS_VERSION not set, running all tests"; \
		$(MAKE) test.ci; \
	else \
		MAJOR_VERSION=$$(echo "$(REDIS_VERSION)" | cut -d. -f1); \
		if [ "$$MAJOR_VERSION" -ge 8 ]; then \
			echo "REDIS_VERSION $(REDIS_VERSION) >= 8, running all tests"; \
			$(MAKE) test.ci; \
		else \
			echo "REDIS_VERSION $(REDIS_VERSION) < 8, skipping vector_sets tests"; \
			$(MAKE) test.ci.skip-vectorsets; \
		fi; \
	fi
	$(MAKE) docker.stop

test.ci:
	set -e; for dir in $(GO_MOD_DIRS); do \
	  echo "go test in $${dir}"; \
	  (cd "$${dir}" && \
	    go mod tidy -compat=1.18 && \
	    go vet && \
	    go test -v -coverprofile=coverage.txt -covermode=atomic ./... -race -skip Example); \
	done
	cd internal/customvet && go build .
	go vet -vettool ./internal/customvet/customvet

test.ci.skip-vectorsets:
	set -e; for dir in $(GO_MOD_DIRS); do \
	  echo "go test in $${dir} (skipping vector sets)"; \
	  (cd "$${dir}" && \
	    go mod tidy -compat=1.18 && \
	    go vet && \
	    go test -v -coverprofile=coverage.txt -covermode=atomic ./... -race \
	      -run '^(?!.*(?:VectorSet|vectorset|ExampleClient_vectorset)).*$$' -skip Example); \
	done
	cd internal/customvet && go build .
	go vet -vettool ./internal/customvet/customvet

bench:
	go test ./... -test.run=NONE -test.bench=. -test.benchmem -skip Example

.PHONY: all test test.ci test.ci.skip-vectorsets bench fmt

build:
	go build .

fmt:
	gofumpt -w ./
	goimports -w  -local github.com/redis/go-redis ./

go_mod_tidy:
	set -e; for dir in $(GO_MOD_DIRS); do \
	  echo "go mod tidy in $${dir}"; \
	  (cd "$${dir}" && \
	    go get -u ./... && \
	    go mod tidy -compat=1.18); \
	done

=== debian/changelog ===
icingadb (1.4.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 07:13:22 +0200

icingadb (1.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jun 2025 17:21:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/nagios-team/icingadb
 Vcs-Git: https://salsa.debian.org/nagios-team/icingadb.git
 Homepage: https://icinga.com
@@ -27,6 +27,7 @@
 Suggests: redis-server,
           postgresql | default-mysql-server
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: database connector for Icinga 2
  Icinga DB is a set of components for publishing, synchronizing and
  visualizing monitoring data in the Icinga ecosystem, consisting of:

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 export DH_GOLANG_BUILDPKG=github.com/icinga/icingadb/cmd/icingadb \
                           github.com/icinga/icingadb/cmd/icingadb-migrate
@@ -16,22 +16,18 @@
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
 
-override_dh_clean:
-	dh_clean debian/man/*.8
-
-override_dh_auto_configure:
-	dh_auto_configure
-
+execute_after_dh_auto_configure:
 	(mkdir -p _build/pkg && cd _build/pkg && ln -s ../../dependencies/pkg/* .)
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	# Create man page from DocBook XML
 	for x in $(MANPAGES) ; do \
 	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
 	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
 	done
 
-	dh_auto_build
+override_dh_auto_build:
+	DH_VERBOSE=1 dh_auto_build
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## icingadb 1.4.0+0.gc271de7

=== debian/changelog ===
icingadb (1.4.0+0.gc271de7-1751061804+ubuntu24.10) icinga; urgency=medium

  * Release 1.4.0+0.gc271de7-1751061804

 -- Icinga GmbH <info@icinga.com>  Fri, 27 Jun 2025 22:03:56 +0000

## icingadb 1.4.0+4.g6b4ba62

=== debian/changelog ===
icingadb (1.4.0+4.g6b4ba62-1751666606+ubuntu24.10) icinga; urgency=medium

  * Release 1.4.0+4.g6b4ba62-1751666606

 -- Icinga GmbH <info@icinga.com>  Fri, 04 Jul 2025 22:04:10 +0000

## icingadb 1.4.0+8.gab9aba8

=== debian/changelog ===
icingadb (1.4.0+8.gab9aba8-1752876200+ubuntu25.04) icinga; urgency=medium

  * Release 1.4.0+8.gab9aba8-1752876200

 -- Icinga GmbH <info@icinga.com>  Fri, 18 Jul 2025 22:03:40 +0000

## icingadb 1.4.0+10.ga979409

=== debian/changelog ===
icingadb (1.4.0+10.ga979409-1755300806+ubuntu25.04) icinga; urgency=medium

  * Release 1.4.0+10.ga979409-1755300806

 -- Icinga GmbH <info@icinga.com>  Fri, 15 Aug 2025 23:34:59 +0000

## icingadb 1.4.0+16.g10d143e

=== debian/changelog ===
icingadb (1.4.0+16.g10d143e-1755905687+ubuntu25.04) icinga; urgency=medium

  * Release 1.4.0+16.g10d143e-1755905687

 -- Icinga GmbH <info@icinga.com>  Fri, 22 Aug 2025 23:36:42 +0000

## icingadb 1.4.0+32.gc4a93e7

=== debian/changelog ===
icingadb (1.4.0+32.gc4a93e7-1756505012+ubuntu25.04) icinga; urgency=medium

  * Release 1.4.0+32.gc4a93e7-1756505012

 -- Icinga GmbH <info@icinga.com>  Fri, 29 Aug 2025 22:05:24 +0000

## icingadb 1.4.0+38.g6e62aa8

=== debian/changelog ===
icingadb (1.4.0+38.g6e62aa8-1757109799+ubuntu25.04) icinga; urgency=medium

  * Release 1.4.0+38.g6e62aa8-1757109799

 -- Icinga GmbH <info@icinga.com>  Fri, 05 Sep 2025 22:05:08 +0000

## icingadb 1.4.0+44.g7aa4cde

=== debian/changelog ===
icingadb (1.4.0+44.g7aa4cde-1760738608+debian11) icinga; urgency=medium

  * Release 1.4.0+44.g7aa4cde-1760738608

 -- Icinga GmbH <info@icinga.com>  Fri, 17 Oct 2025 22:03:45 +0000

=== debian/control ===
Source: icingadb
Maintainer: Icinga GmbH <info@icinga.com>
Section: admin
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  gcc
Standards-Version: 4.6.1
Homepage: https://icinga.com

Package: icingadb
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Suggests: icinga2
Description: Icinga configuration and state database supporting multiple environments
 Icinga DB is a set of components for publishing, synchronizing and
 visualizing monitoring data in the Icinga ecosystem.
 This is the Icinga DB daemon, which synchronizes monitoring data
 between a Redis® server and a database.

## icingadb 1.4.0+46.gdfda35a

=== debian/changelog ===
icingadb (1.4.0+46.gdfda35a-1761343408+ubuntu25.10) icinga; urgency=medium

  * Release 1.4.0+46.gdfda35a-1761343408

 -- Icinga GmbH <info@icinga.com>  Fri, 24 Oct 2025 22:03:48 +0000

## icingadb 1.4.0+56.g4250dae

=== debian/changelog ===
icingadb (1.4.0+56.g4250dae-1762553003+ubuntu25.10) icinga; urgency=medium

  * Release 1.4.0+56.g4250dae-1762553003

 -- Icinga GmbH <info@icinga.com>  Fri, 07 Nov 2025 22:03:56 +0000

## icingadb 1.4.0+66.g283f104

=== debian/changelog ===
icingadb (1.4.0+66.g283f104-1763157806+ubuntu25.10) icinga; urgency=medium

  * Release 1.4.0+66.g283f104-1763157806

 -- Icinga GmbH <info@icinga.com>  Fri, 14 Nov 2025 22:04:00 +0000

## icingadb 1.4.0+109.gff1c49e

=== debian/changelog ===
icingadb (1.4.0+109.gff1c49e-1763396680+ubuntu25.10) icinga; urgency=medium

  * Release 1.4.0+109.gff1c49e-1763396680

 -- Icinga GmbH <info@icinga.com>  Mon, 17 Nov 2025 16:25:17 +0000

## icingadb 1.5.0

=== debian/changelog ===
icingadb (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Nov 2025 16:04:03 +0100

## icingadb 1.5.0+8.g76e3a45

=== debian/changelog ===
icingadb (1.5.0+8.g76e3a45-1763762605+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.0+8.g76e3a45-1763762605

 -- Icinga GmbH <info@icinga.com>  Fri, 21 Nov 2025 22:03:59 +0000

## icingadb 1.5.0+10.geb4ace0

=== debian/changelog ===
icingadb (1.5.0+10.geb4ace0-1764576553+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.0+10.geb4ace0-1764576553

 -- Icinga GmbH <info@icinga.com>  Mon, 01 Dec 2025 08:09:35 +0000

## icingadb 1.5.0+14.g0449316

=== debian/changelog ===
icingadb (1.5.0+14.g0449316-1764972205+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.0+14.g0449316-1764972205

 -- Icinga GmbH <info@icinga.com>  Fri, 05 Dec 2025 22:03:56 +0000

## icingadb 1.5.0+18.g1b544b8

=== debian/changelog ===
icingadb (1.5.0+18.g1b544b8-1765577008+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.0+18.g1b544b8-1765577008

 -- Icinga GmbH <info@icinga.com>  Fri, 12 Dec 2025 22:03:55 +0000
